Rated 4 out of 5 stars

I'm a little saddened that you've elected to discontinue support for older editions of Firefox. I've resisted upgrading to more recent Firefox releases due to extensive incompatibility issues with some of my favorite add-ons. Still, I applaud you for your work on this extension. It really is a useful app.

This review is for a previous version of the add-on (0.7b). 

Sorry...

Hi Jalleyo,

My apologies but it was not our intention to cut anyone out... we really had no choice.

By making the new version have a list that did not need to update on every start of the browser we needed to store the list somewhere... and the most efficient way of doing this we found was via "localStorage", and local storage is only available on 3.6 and higher.

The older version is still supported so if you downloaded 0.4b it should work pretty well.

We are not asking you to change it, but mind telling us why we got dropped a star and how we can avoid it the next time? ;)

Cheers!